html, body {
  margin: 0;
  padding: 0;
}
canvas {
  display: block;
}
input[type=range] {
  width: 100%;
  margin: 8.3px 0;
  background-color: transparent;
  -webkit-appearance: none;
}
input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  background: #3071c8;
  border: 0.2px solid rgba(0, 1, 1, 0);
  border-radius: 11.3px;
  
  height: 8.4px;
  cursor: pointer;
}
input[type=range]::-webkit-slider-thumb {
  margin-top: -8.5px;
  width: 12px;
  height: 25px;
  background: #00ffcc;
  border: 0px solid rgba(0, 0, 0, 0);
  border: 0;
  border-radius: 13px;
  cursor: pointer;
  -webkit-appearance: none;
}
input[type=range]:focus::-webkit-slider-runnable-track {
  background: #3071c8;
}
input[type=range]::-moz-range-track {
  background: #3071c8;
  border: 0.2px solid rgba(0, 1, 1, 0);
  border-radius: 11.3px;
  width: 100%;
  height: 8.4px;
  cursor: pointer;
}
input[type=range]::-moz-range-thumb {
  width: 12px;
  height: 25px;
  background: #00ffcc;
  border: 0px solid rgba(0, 0, 0, 0);
  border: 0;
  border-radius: 13px;
  cursor: pointer;
}
input[type=range]::-ms-track {
  background: transparent;
  border-color: transparent;
  border-width: 23.3px 0;
  color: transparent;
  width: 100%;
  height: 8.4px;
  cursor: pointer;
}
input[type=range]::-ms-fill-lower {
  background: #3071c8;
  border: 0.2px solid rgba(0, 1, 1, 0);
  border-radius: 22.6px;
}
input[type=range]::-ms-fill-upper {
  background: #3071c8;
  border: 0.2px solid rgba(0, 1, 1, 0);
  border-radius: 22.6px;
}
input[type=range]::-ms-thumb {
  width: 12px;
  height: 25px;
  background: #00ffcc;
  border: 0px solid rgba(0, 0, 0, 0);
  border: 0;
  border-radius: 13px;
  cursor: pointer;
  margin-top: 0px;
  /*Needed to keep the Edge thumb centred*/
}
input[type=range]:focus::-ms-fill-lower {
  background: #3071c8;
}
input[type=range]:focus::-ms-fill-upper {
  background: #3071c8;
}
/*TODO: Use one of the selectors from https://stackoverflow.com/a/20541859/7077589 and figure out
how to remove the virtical space around the range input in IE*/
@supports (-ms-ime-align:auto) {
  /* Pre-Chromium Edge only styles, selector taken from hhttps://stackoverflow.com/a/32202953/7077589 */
  input[type=range] {
    margin: 0;
    /*Edge starts the margin from the thumb, not the track as other browsers do*/
  }
}
